Skip to main content
PUT
Update a dunning campaign step

Path Parameters

Body Parameters

Example Request

Response

You only need to include the fields you want to update. Omitted fields retain their current values.

Authorizations

Authorization
string
header
required

Tenant API key obtained from POST /auth/register or POST /v1/developer/keys.

Path Parameters

id
string<uuid>
required

Body

application/json
step_order
integer
channel
enum<string>
Available options:
email,
sms,
in_app
delay_hours
integer
template_name
string
subject
string
body
string
is_payment_wall
boolean

Response

Updated step.

id
string<uuid>
campaign_id
string<uuid>
step_order
integer
channel
enum<string>
Available options:
email,
sms,
in_app
delay_hours
integer
template_name
string
subject
string
body
string
is_payment_wall
boolean
created_at
string<date-time>